## GimpPatternSelectButton

GimpPatternSelectButton

## Functions

GtkWidget * | gimp_pattern_select_button_new ()
const gchar * | gimp_pattern_select_button_get_pattern ()
void | gimp_pattern_select_button_set_pattern ()

## Properties

gchar * | pattern-name | Read / Write
gchar * | title | Read / Write / Construct Only

## Signals

void | pattern-set | Run First

## Types and Values

| GimpPatternSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpPatternSelectButton

## Implemented Interfaces

GimpPatternSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_pattern_select_button_new ()

    GtkWidget *
    gimp_pattern_select_button_new (const gchar *title,
                                    const gchar *pattern_name);

Since: GIMP 2.4

### gimp_pattern_select_button_get_pattern ()

    const gchar *
    gimp_pattern_select_button_get_pattern
                                   (GimpPatternSelectButton *button);

Since: GIMP 2.4

### gimp_pattern_select_button_set_pattern ()

    void
    gimp_pattern_select_button_set_pattern
                                   (GimpPatternSelectButton *button,
                                    const gchar *pattern_name);

Since: GIMP 2.4

## Types and Values

### GimpPatternSelectButton

    typedef struct _GimpPatternSelectButton GimpPatternSelectButton;

## Property Details

### The `“pattern-name”` property

      “pattern-name”             gchar *

The name of the currently selected pattern.

Flags: Read / Write

Default value: NULL

Since: GIMP 2.4

### The `“title”` property

      “title”                    gchar *

The title to be used for the pattern selection popup dialog.

Flags: Read / Write / Construct Only

Default value: "Pattern Selection"

Since: GIMP 2.4

## Signal Details

### The `“pattern-set”` signal

    void
    user_function (GimpPatternSelectButton *widget,
                   gchar                   *pattern_name,
                   gint                     width,
                   gint                     height,
                   gint                     bpp,
                   gpointer                 mask_data,
                   gboolean                 dialog_closing,
                   gpointer                 user_data)

Flags: Run First

Since: GIMP 2.4